### Method

# Qmi MessageWdsSwiCreateProfileIndexedInput get_profile_identifier

since: 1.22

#### Declaration [src]

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_get_profile_identifier (
      QmiMessageWdsSwiCreateProfileIndexedInput* self,
      QmiWdsProfileType* value_profile_identifier_profile_type,
      guint8* value_profile_identifier_profile_index,
      GError** error
    )

#### Description [src]

Get the ‘Profile Identifier’ field from `self`.

Available since: 1.22

#### Parameters

`value_profile_identifier_profile_type`

  Type: `QmiWdsProfileType`

  A placeholder for the output `QmiWdsProfileType`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_profile_identifier_profile_index`

  Type: `guint8*`

  A placeholder for the output #guint8, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the field is found, `FALSE` otherwise.